Subject: bug#55904: closed (Re: bug#55904: 29.0.50; Docstring in Help vs. Customize buffer)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 11 Jun 2022 10:32:02 +0000

Your bug report

#55904: 29.0.50; Docstring in Help vs. Customize buffer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55904: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55904
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55904: 29.0.50; Docstring in Help vs. Customize buffer
From: Eli Zaretskii <[email-masked]>
To: Arash Esbati <[email-masked]>
Cc: [email-masked]
Date: Sat, 11 Jun 2022 13:31:18 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Arash Esbati <[email-masked]>
> Date: Sat, 11 Jun 2022 12:16:48 +0200
> 
>   • emacs -Q
>   • M-x load-library RET whitespace RET
>   • C-h v whitespace-action RET
>   • Look at the docstring which look Ok
>   • Hit the customize button which looks like this
> 
> Note the extra indentations after nil and autocleanup.

This is because the doc string included TABs.  Now fixed on the
release branch.

Thanks.

Subject: 29.0.50; Docstring in Help vs. Customize buffer
From: Arash Esbati <[email-masked]>
To: emacs-bugs <[email-masked]>
Date: Sat, 11 Jun 2022 12:16:48 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

I see a mismatch between the docstring of a custom variable shown in the
Help buffer and in the Customize buffer.  To reproduce:

  • emacs -Q
  • M-x load-library RET whitespace RET
  • C-h v whitespace-action RET
  • Look at the docstring which look Ok
  • Hit the customize button which looks like this

Note the extra indentations after nil and autocleanup.

I don't use customize very often so this is the first time I'm seeing
this.  This is with Emacs 29 from master (0fd60451bc).

Best, Arash